All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Query |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This interface is subject to change. ***

## com.sas.iquery.metadata.business
Interface Base

All Superinterfaces:
  java.util.EventListener, PropertyChangeListenee, java.beans.PropertyChangeListener

All Known Subinterfaces:
  AssociationItem, BusinessGroup, BusinessItem, BusinessModel, BusinessModelObject, BusinessModelResourceReferencer, BusinessRule, CascadableFilter, CompoundFilter, DataItem, DataItemContainerExpression, DataItemReference, DataSelection, DrillThroughToDetail, ExpressionInterface, FilterCascadeRule, FilterItem, Governing, InformationMap, Model, ModelItem, ModelItemWithIdentity, NonCalculatedValue, Prompt, StepFilterInterface, StepInterface

All Known Implementing Classes:
  com.sas.iquery.metadata.business.impl.AbstractBase, com.sas.iquery.metadata.impl.AbstractExpression, com.sas.iquery.metadata.business.impl.AbstractFilterCascade, com.sas.iquery.metadata.business.impl.AbstractModelItem, AbstractRelativeTimeValueExpression, AbstractTimeValueExpression, BaseFilter, BaseFilterExpression, BusinessGroupMemberFilterExpression, BusinessQueryDataBasedFilter, BusinessQueryRankFilter, BusinessQueryTupleFilter, ChangeHistoryItem, CompoundConditionalExpression, CompoundStep, ConditionalExpression, ConstantExpression, DataBasedFilterExpression, DataBasedFilterExpression_Between, DataItemMemberFilter, DataItemMemberPropertiesFilter, DataItemNavigationFilter, DataItemRankFilter, DataItemRankFilter, DataItemTimeFilter, DataItemTimeFirstLastPeriodsFilter, DataItemTimeNParallelPeriodsFilter, DataItemTimeNPeriodsFilter, DataItemTimeRangeFilter, DateValueExpression, Drill, FilterCascade, FractionOfTotalExpression, FunctionCall, Lasr, Lookup, LookupByDataItem, LookupList, LookupNotAllowed, LookupValue, MemberFilterExpression, MultipleConditionalExpression, PromptedTimeRangeFilter, RelationalConditionalExpression, RelativeDateValueExpression, RelativeTimestampValueExpression, ResourceAwareStringExpression, SelectedItem, SimpleConditionalExpression_Between, SimpleConditionalExpression_Comparison, SimpleConditionalExpression_Contains, SimpleConditionalExpression_In, SimpleConditionalExpression_Like, SimpleConditionalExpression_TestForNull, StringExpression, TimeExpressionMeasure, TimeFilterExpression, TimeFilterFirstLastPeriodsExpression, TimeFilterNParallelPeriodsExpression, TimeFilterNPeriodsExpression, TimeRangeFilterExpression, TimestampValueExpression, TimeValueExpression, TupleFilterMemberQualifier

    public interface Base

extends java.beans.PropertyChangeListener, PropertyChangeListenee

Field Summary
`static java.lang.String` | `EVENT_OBJECT_DEFINITION_CHANGED` An object's definition has changed -- meaning that either the object has changed or an object that it refers to that comprises the object's definition has changed.

Method Summary

Methods inherited from interface com.sas.iquery.metadata.PropertyChangeListenee
`addListener, getListeners, removeListener`

Field Detail

### EVENT_OBJECT_DEFINITION_CHANGED

    static final java.lang.String EVENT_OBJECT_DEFINITION_CHANGED

  An object's definition has changed -- meaning that either the object has changed or an object that it refers to that comprises the object's definition has changed.

  Object's typically fire this event when an object that they refer to (directly) or an object that makes up it's definition (indirectly) has changed.

*** This interface is subject to change. ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Query |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.